
package org.apache.ws.resource.example.filesystem;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.util.i18n.Messages;
import javax.xml.namespace.QName;
import org.apache.ws.resource.faults.AbstractBaseFaultException;
import org.apache.ws.resource.properties.NamespaceVersionHolder;

/**
 * **** WARNING: This file will be overwritten during generation ****
 */
public class MountDeviceBusyFaultException
        extends AbstractBaseFaultException
{

    private static final Messages MSG = MessagesImpl.getInstance();
    private static final Log LOG = LogFactory.getLog( MountDeviceBusyFaultException.class );

    private QName m_name;

    /**
     * Constructs a new MountDeviceBusyFaultException .
     *
     * @param namespaces
     * @param faultString 
     */
    public MountDeviceBusyFaultException( NamespaceVersionHolder namespaces, String faultString )
    {
        super( namespaces, faultString );
        m_name = new QName( "http://ws.apache.org/resource/example/filesystem", "MountDeviceBusyFaultException");        
    }
    
    /**
     * Returns the element name for this base fault.
     *
     * @return the element name for this base fault
     */
    public QName getBaseFaultName()
    {
        return m_name;
    }

}
