/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.impl.AbstractResourceHome;
import org.apache.ws.resource.properties.NamespaceVersionHolder;

import javax.xml.namespace.QName;
import java.io.Serializable;
import java.util.Map;

/**
 * Home for PrinterFactory WS-Resources.
 */
public class PrinterFactoryHome
   extends AbstractResourceHome
   implements Serializable
{

    /**
     * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
     */
    public static final org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl SPEC_NAMESPACE_SET = new org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl();

   private PrinterFactoryResource m_printerFactory;

    public void init() throws Exception
    {
        super.init();
        if ( m_printerFactory == null )
        {
           //singleton
           m_printerFactory = new PrinterFactoryResource(  );
           m_printerFactory.init(  );
           add(m_printerFactory);
        }
    }

    public QName getServiceName()
    {
        return new QName(PrinterPortPropertyQNames.PRINTER_REFERENCE.getNamespaceURI(),"PrinterFactory");
    }

    public QName getPortType()
    {
        return new QName(PrinterPortPropertyQNames.PRINTER_REFERENCE.getNamespaceURI(),"CreatePrinter");
    }

    public String getServicePortName()
    {
        return "PrinterFactory";
    }

    public NamespaceVersionHolder getNamespaceVersionHolder()
    {
        return SPEC_NAMESPACE_SET;
    }

    /**
     * Map containing all SushiResource instances - this map <em>must</em> be static for
     * compatibility with certain JNDI providers.
     */
    private static Map s_resources;

    /**
     * Returns a map of all SushiResource instances. Used by the {@link AbstractResourceHome}
     * superclass.
     */
    protected synchronized final Map getResourceMap()
    {
        if ( s_resources == null )
        {
            s_resources = AbstractResourceHome.createResourceMap( m_resourceIsPersistent );
        }
        return s_resources;
    }
    
}