/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;


/**
 * This interface is provided for listeners to be able to be notified
 * when a Resource is removed from the ResourceHome.  Removal from the home
 * is viewed as the resource being destroyed and unaccessible.
 *
 * @author Sal Campana
 */
public interface ResourceDestructionListener
{
   /**
    * Method to receive notifcations when resources are deleted (removed from home).
    *
    * @param rde
    */
   void destructionOccurred( ResourceDestructionEvent rde );
}