/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime.v2004_06;

import org.apache.ws.resource.v2004_06.WsrfConstants;

/**
 * Constants for namespaces defined by the 2004/06 version of the WSRF ResourceLifetime specification.
 */
public interface ResourceLifetimeConstants
{
   /**
    * Namespace URI for WS-ResourceLifetime schema.
    */
   String NSURI_WSRL_SCHEMA = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-ResourceLifetime-1.2-draft-01.xsd";

   /**
    * Namespace prefix for WS-ResourceLifetime schema.
    */
   String NSPREFIX_WSRL_SCHEMA = "wsrl";

   /**
    * Namespace URI for WS-ResourceLifetime WSDL.
    */
   String NSURI_WSRL_WSDL = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-ResourceLifetime-1.2-draft-01.wsdl";

   /**
    * Namespace prefix for WS-ResourceLifetime WSDL.
    */
   String NSPREFIX_WSRL_WSDL = "wsrlw";
}