/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.metadataexchange.v2004_09;


/**
 * Constants for WS-MEX.
 */
public interface MetadataExchangeConstants
{
   /**
    * The namespace URI for WS-MEX.
    */
   String NSURI = "http://schemas.xmlsoap.org/ws/2004/09/mex";

   /**
    * A prefix for the WS-MEX namespace.
    */
   String NSPREFIX = "wsmex";

   /**
    * wsa:Action URI for Get requests.
    */
   String ACTION_GET_REQUEST = NSURI + "/Get/Request";

   /**
    * wsa:Action URI for Get responses.
    */
   String ACTION_GET_RESPONSE = NSURI + "/Get/Response";

   /**
    * wsa:Action URI for GetMetadata requests.
    */
   String ACTION_GETMETADATA_REQUEST = NSURI + "/GetMetadata/Request";

   /**
    * wsa:Action URI for GetMetadata requests.
    */
   String ACTION_GETMETADATA_RESPONSE = NSURI + "/GetMetadata/Response";
}