/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;


/**
 * Interface used for maintaining a set of versions of namespaces for
 * a given collection of specifications.
 *
 * The point to this interface is as each draft of the WSRF specifications
 * come out, we can have an impl which will point us to all the correct
 * namespaces for use in polymorphic-versionless class....
 *
 * @author Sal Campana
 */
public interface NamespaceVersionHolder
{
   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getAddressingNamespace(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getBaseFaultsXsdNamespace(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getLifetimeXsdNamespace(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getMetadataExchangeNamespace(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getPropertiesXsdNamespace(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   String getServiceGroupsXsdNamespace(  );
}