/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_11.porttype.impl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.impl.AbstractSetResourcePropertiesPortType;
import org.apache.ws.resource.properties.impl.AbstractXmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl;
import org.apache.ws.resource.properties.v2004_11.impl.XmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.v2004_11.porttype.InsertResourcePropertiesPortType;
import org.apache.ws.util.XmlBeanUtils;
import org.apache.xmlbeans.XmlObject;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesResponseDocument;

/**
 * @author Sal Campana
 */
public class InsertResourcePropertiesPortTypeImpl
   extends AbstractSetResourcePropertiesPortType
   implements InsertResourcePropertiesPortType
{
   private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl(  );

   /**
    * Creates a new {@link InsertResourcePropertiesPortTypeImpl} object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public InsertResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
   {
      super( resourceContext );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public InsertResourcePropertiesResponseDocument insertResourceProperties( InsertResourcePropertiesDocument requestDoc )
   {
      InsertResourcePropertiesResponseDocument                  responseDoc = createResponseDocument(  );
      InsertResourcePropertiesDocument.InsertResourceProperties requestElem =
         requestDoc.getInsertResourceProperties(  );
      XmlObject[]                                               propElemsToBeInserted =
         XmlBeanUtils.getChildElements( requestElem.getInsert(  ) );
      insertResourceProperty( propElemsToBeInserted );
      return responseDoc;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected NamespaceVersionHolder getNamespaceSet(  )
   {
      return NAMESPACE_SET;
   }

   /**
    * DOCUMENT_ME
    *
    * @param oldValue DOCUMENT_ME
    * @param newValue DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected AbstractXmlBeansResourcePropertyValueChangeEvent getResourcePropertyValueChangeEvent( Object[] oldValue,
                                                                                                   Object[] newValue )
   {
      return new XmlBeansResourcePropertyValueChangeEvent( oldValue, newValue );
   }

   private InsertResourcePropertiesResponseDocument createResponseDocument(  )
   {
      InsertResourcePropertiesResponseDocument responseDoc =
         InsertResourcePropertiesResponseDocument.Factory.newInstance(  );
      responseDoc.addNewInsertResourcePropertiesResponse(  );
      return responseDoc;
   }
}