/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.soap;

import org.apache.ws.XmlObjectWrapper;
import org.apache.xmlbeans.XmlObject;

/**
 * A Facade Wrapper for a SOAPEnvelope
 *
 * @author Sal Campana
 */
public class Envelope
   implements XmlObjectWrapper
{
   /** DOCUMENT_ME */
   XmlObject m_xmlObject;

   /** DOCUMENT_ME */
   Body m_body;

   /** DOCUMENT_ME */
   Header m_header;

   /**
    * Creates a new {@link Envelope} object.
    *
    * @param envelope DOCUMENT_ME
    */
   public Envelope( org.w3.x2003.x05.soapEnvelope.EnvelopeDocument envelope )
   {
      if ( envelope.getEnvelope(  ) == null )
      {
         throw new IllegalArgumentException( "There must be an Envelope in the EnvelopeDocument." );
      }

      m_xmlObject    = envelope;
      m_body         = new Body( envelope.getEnvelope(  ).getBody(  ) );
      m_header       = new Header( envelope.getEnvelope(  ).getHeader(  ) );
   }

   /**
    * Creates a new {@link Envelope} object.
    *
    * @param envelope DOCUMENT_ME
    */
   public Envelope( org.xmlsoap.schemas.soap.envelope.EnvelopeDocument envelope )
   {
      if ( envelope.getEnvelope(  ) == null )
      {
         throw new IllegalArgumentException( "There must be an Envelope in the EnvelopeDocument." );
      }

      m_xmlObject    = envelope;
      m_body         = new Body( envelope.getEnvelope(  ).getBody(  ) );
      m_header       = new Header( envelope.getEnvelope(  ).getHeader(  ) );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Body getBody(  )
   {
      return m_body;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Header getHeader(  )
   {
      return m_header;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public XmlObject getXmlObject(  )
   {
      return m_xmlObject;
   }
}