/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import org.apache.axis.MessageContext;
import org.apache.axis.message.addressing.Action;
import org.apache.axis.message.addressing.AddressingHeaders;
import org.apache.axis.message.addressing.To;
import org.apache.axis.server.AxisServer;
import org.apache.axis.types.URI;
import javax.xml.rpc.handler.soap.SOAPMessageContext;

/**
 * Factory for various test fixture objects.
 */
public abstract class TestFixtureFactory
{
   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public static SOAPMessageContext createSOAPMessageContext(  )
   throws Exception
   {
      SOAPMessageContext msgContext = new MessageContext( new AxisServer(  ) );
      AddressingHeaders  wsaHeaders = createAddressingHeaders(  );
      msgContext.setProperty( org.apache.axis.message.addressing.Constants.ENV_ADDRESSING_REQUEST_HEADERS,
                              wsaHeaders );
      return msgContext;
   }

   private static AddressingHeaders createAddressingHeaders(  )
   throws URI.MalformedURIException
   {
      AddressingHeaders wsaHeaders = new AddressingHeaders(  );
      wsaHeaders.setTo( new To( "http://localhost:8080/wsrf/services/sushi" ) );
      wsaHeaders.setAction( new Action( new URI( "urn:action" ) ) );
      return wsaHeaders;
   }
}