/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;

import org.apache.ws.resource.properties.impl.CallbackFailedException;
import javax.xml.namespace.QName;

/**
 * @author Sal Campana
 */
public class ThrowsCallback
   implements SetResourcePropertyCallback
{
   /**
    * DOCUMENT_ME
    *
    * @param propQName DOCUMENT_ME
    *
    * @throws CallbackFailedException DOCUMENT_ME
    */
   public void deleteProperty( QName propQName )
   throws CallbackFailedException
   {
      Exception e = new Exception( "Do we see this message?" );
      throw new CallbackFailedException( "Delete Failed!", e );
   }

   /**
    * DOCUMENT_ME
    *
    * @param prop DOCUMENT_ME
    *
    * @throws CallbackFailedException DOCUMENT_ME
    */
   public void insertProperty( Object[] prop )
   throws CallbackFailedException
   {
      Exception e = new Exception( "Do we see this message?" );
      throw new CallbackFailedException( "Insert Failed!", e );
   }

   /**
    * DOCUMENT_ME
    *
    * @param prop DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws CallbackFailedException DOCUMENT_ME
    */
   public ResourceProperty refreshProperty( ResourceProperty prop )
   throws CallbackFailedException
   {
      Exception e = new Exception( "Do we see this message?" );
      throw new CallbackFailedException( "Refresh Failed!", e );
   }

   /**
    * DOCUMENT_ME
    *
    * @param prop DOCUMENT_ME
    *
    * @throws CallbackFailedException DOCUMENT_ME
    */
   public void updateProperty( Object[] prop )
   throws CallbackFailedException
   {
      Exception e = new Exception( "Do we see this message?" );
      throw new CallbackFailedException( "Update Failed!", e );
   }

   private QName getPropName( ResourceProperty prop )
   {
      return prop.getMetaData(  ).getName(  );
   }
}